scriptName NEONightEyeEnchantmentScript extends ActiveMagicEffect

import GlobalVariable

float property fDelay = 0.83 auto
ImageSpaceModifier property IntroFX auto
ImageSpaceModifier property MainFX auto
ImageSpaceModifier property OutroFX auto
Float Property fImodStrength = 1.0 auto
sound property IntroSoundFX auto
sound property OutroSoundFX auto
GlobalVariable Property NEONightEyeEnchantmentTransitionGlobal auto

Event OnEffectStart(Actor Target, Actor Caster)
	if NEONightEyeEnchantmentTransitionGlobal.GetValue() == 0.0
		NEONightEyeEnchantmentTransitionGlobal.setValue(1.0)
		int instanceID = IntroSoundFX.play((target as objectReference))
		introFX.apply(fImodStrength)
		utility.wait(fDelay)
		;MainFX.apply()
		if NEONightEyeEnchantmentTransitionGlobal.GetValue() == 1.0
			introFX.PopTo(MainFX,fImodStrength)	
			NEONightEyeEnchantmentTransitionGlobal.setValue(2.0)
		endif
	elseif NEONightEyeEnchantmentTransitionGlobal.GetValue() == 1.0
		introFX.PopTo(MainFX,fImodStrength)	
		NEONightEyeEnchantmentTransitionGlobal.setValue(2.0)
		self.dispel()
	else
		self.dispel()
	endif
EndEvent

Event OnEffectFinish(Actor Target, Actor Caster)
	if NEONightEyeEnchantmentTransitionGlobal.GetValue() == 2.0
		NEONightEyeEnchantmentTransitionGlobal.setValue(3.0)
		int instanceID = OutroSoundFX.play((target as objectReference))
		MainFX.PopTo(OutroFX,fImodStrength)
		introFX.remove()
		NEONightEyeEnchantmentTransitionGlobal.setValue(0.0)
	endif
endEvent